Marketplace Work Orders from Storage Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/marketplace_work_orders

Retrieve work order items from storage (where work_orders.receivable_type IS NULL) for the authenticated 3PL customer.

Query parameters

  • id integer

    Filter by work order item ID

  • sku string

    Filter by listing SKU

  • status string

    Filter by status (Open or Closed)

  • created_after string

    Filter by created after date

  • created_before string

    Filter by created before date

  • marketplace string

    Filter by marketplace name

  • page integer

    Page number

  • per_page integer

    Results per page

  • include_inventory boolean

    When true, includes inventory_transactions and inventory_movements per work order item

Responses

  • 200 application/json

    Includes inventory transactions and movements

    Hide response attributes Show response attributes object
    • work_order_id integer
    • items array[object]
      Hide items attributes Show items attributes object
      • work_order_item_created_time string(date_time)
      • work_order_item_id integer
      • listing_sku string
      • listing_marketplace string | null
      • listing_country string | null
      • original_quantity integer
      • quantity integer
      • processed_quantity integer
      • shipped_quantity integer
      • status string

        Values are Open or Closed.

      • shipped_unit_exp_dates string(date) | null
      • shipped_unit_lots string | null
      • fba_shipment_ids array[string] | null
      • inventory_transactions array[object]
        Hide inventory_transactions attributes Show inventory_transactions attributes object
        • id integer
        • event string
        • created_at string(date_time)
        • inventory_movements array[object]
          Hide inventory_movements attributes Show inventory_movements attributes object
          • quantity integer
          • status string
          • sku string | null
          • part_number string | null
  • 422

    Invalid search parameters

  • 401

    Unauthorized when org_id is missing

GET /v1/marketplace_work_orders
curl \
 --request GET 'https://api.pattern.com/hub/v1/marketplace_work_orders' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "work_order_id": 42,
    "items": [
      {
        "work_order_item_created_time": "string",
        "work_order_item_id": 42,
        "listing_sku": "string",
        "listing_marketplace": "string",
        "listing_country": "string",
        "original_quantity": 42,
        "quantity": 42,
        "processed_quantity": 42,
        "shipped_quantity": 42,
        "status": "Open",
        "shipped_unit_exp_dates": "2026-05-04",
        "shipped_unit_lots": "string",
        "fba_shipment_ids": [
          "string"
        ],
        "inventory_transactions": [
          {
            "id": 42,
            "event": "string",
            "created_at": "string",
            "inventory_movements": [
              {
                "quantity": 42,
                "status": "string",
                "sku": "string",
                "part_number": "string"
              }
            ]
          }
        ]
      }
    ]
  }
]